# Daily Emission API v2

⬆️ v2 update: Add Dynamic inflation rate. \*value might differ to v1\* in some tokens

⬆️ v2 update: Provides more tokens that are listed with AI method. Add more field about  listing method, see below for field description

<table><thead><tr><th width="190">Listing Method</th><th>Definition</th></tr></thead><tbody><tr><td>INTERNAL</td><td>This token is listed and verified and cross checked across multiple sources by tokenomist</td></tr><tr><td>AI</td><td>This token has been listed using LLM assisted with single source. </td></tr><tr><td>EXTERNAL</td><td>This token is listed directly by the project team. It is first-party data and comes solely from the project's own source.</td></tr></tbody></table>

## Getting Started

#### **Base URL** <a href="#base-url" id="base-url"></a>

```
https://api.unlocks.app
```

#### **Authentication** <a href="#authentication" id="authentication"></a>

Provide your api key in the `x-api-key` header.

```
GET https://api.unlocks.app/v2/daily-emission
HEADER: x-api-key: <YOUR_API_KEY>
```

**Parameters**

Note: `tokenID` needs to be specified.

* tokenId (required): Get `tokenId` from [Token List API](/api-documents/api-endpoints/token-list-api.md)
* start (optional): The start date for time filtering in the format YYYY-MM-DD. Defaults to the earliest available date.
* end (optional):   The end date for time filtering in the format YYYY-MM-DD. Defaults to the current date.

**Get Specific Date Range Example:**

Replace the preferred start and end dates in indicated format.

```
curl -X 'GET' \
  'https://api.unlocks.app/v2/daily-emission?tokenId=arbitrum&start=YYYY-MM-DD&end=YYYY-MM-DD' \
  -H 'x-api-key: $YOUR_API_KEY'
```

**Get Full Data Range Example:**

Remove date completely to call the full range.

```
curl -X 'GET' \
  'https://api.unlocks.app/v2/daily-emission?tokenId=arbitrum' \
  -H 'x-api-key: $YOUR_API_KEY'
```

**Response**

```json
{
    "metadata": {
        "queryDate": "2026-01-08T10:19:12Z"
    },
    "status": true,
    "data": [
        {
            "startDate": "2024-01-08T00:00:00Z",
            "endDate": "2024-01-09T00:00:00Z",
            "tokenName": "Arbitrum",
            "tokenSymbol": "ARB",
            "listedMethod": "INTERNAL",
            "unlockAmount": 478781.65471694345,
            "unlockValue": 818716.6295659733,
            "referencePrice": 1.71,
            "allocations": [
                {
                    "allocationName": "Arbitrum DAO Treasury",
                    "standardAllocationName": "Reserve",
                    "unlockAmount": 478781.65471694345,
                    "unlockValue": 818716.6295659733
                }
            ],
            "totalCumulativeUnlockedAmount": 1527949623.5683928
        },
    ]
}
```

The response includes time series data with the date (in UTC timezone), with granularity at the level of day.

**Return Fields Explanation**

| Fields                        | Data Type    | Description                                                 |
| ----------------------------- | ------------ | ----------------------------------------------------------- |
| startDate                     | timestamp    | Start date of the aggregated emission                       |
| endDate                       | timestamp    | End date of the aggregated emission                         |
| tokenName                     | string       | Token name                                                  |
| tokenSymbol                   | string       | Token symbol                                                |
| listedMethod                  | string       | Method of listing(INTERNAL, AI, EXTERNAL)                   |
| unlockAmount                  | number       | Total Unlock amount in date period                          |
| unlockValue                   | number       | Total unlock value in date period                           |
| referencePrice                | number       | Reference price for unlockValue calculation                 |
| allocations                   | object array |                                                             |
| totalCumulativeUnlockedAmount | number       | Total unlocked amount from token TGE till specified endDate |

**Return Fields Explanation: Allocations**

| Fields                 | Data Type | Description                            |
| ---------------------- | --------- | -------------------------------------- |
| allocationName         | string    | Allocation name                        |
| standardAllocationName | string    | Standard allocation of this allocation |
| unlockedAmount         | number    | Total Unlock amount in date period     |
| unlockedValue          | number    | Total unlock value in date period      |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.unlocks.app/api-documents/api-endpoints/daily-emission-api/daily-emission-api-v2.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
